extends RayCast2D


onready var visor = $TargetVisor


func get_visor_pos():
	return visor.position + position


func set_visor_pos(new_pos):
	visor.position = new_pos - position


func focus_visor():
	cast_to = visor.position
	force_raycast_update()
	if is_colliding():
		visor.position = get_collision_point() - position


func _on_Launcher_move_visor():
	focus_visor()
